package repositories

import (
	"context"

	"github.com/oklog/ulid/v2"
	"github.com/timetracker/backend/internal/domain/entities"
)

type CustomerRepository interface {
	Get(ctx context.Context, id ulid.ULID) (*entities.Customer, error)
	Create(ctx context.Context, customer *entities.CustomerCreate) error
	Update(ctx context.Context, customer *entities.CustomerUpdate) error
	Delete(ctx context.Context, id ulid.ULID) error
}
